#!/usr/bin/env node

require('./sitegin/sitegin')({
  watch: true
})
.then(function onLoad(jobs) {
  var sass = require('node-sass');
  var fs = require('fs');

  function run() {
    jobs.runSequence('config','readFiles','parseHugo','print')
    .catch(e => console.log(e.stack));
  }

  console.log('Sitegin successfully loaded');
  jobs.onReload(function() {
    console.log("Sitegin reloaded");
    run();
  })
  run();
})
.catch(function(e) {
  console.log(e.stack);
  process.exit();
});
